%global version_major 1
%global serial 8
%global meadalpha %{nil}
%global meadrel %{nil}
%bcond_with bootstrap
%bcond_with modules

%global scl_name_base eap
%global scl_name_version 8
%global scl %{scl_name_base}%{scl_name_version}
%global rh_layout 1

%scl_package %scl

Name:           %scl_name
Version:        1
Release:        %{serial}%{?dist}
Summary:        Package that installs %scl
License:        GPLv2+
%{?scl:Requires: %scl_runtime = %{version}-%{release}}
BuildRequires:  scl-utils-build
%if %with modules
Requires:       environment(modules)
BuildRequires:  environment(modules)
%endif

%description
This is the main package for the %scl Software Collection.

%package runtime
Summary:        Package that handles %scl Software Collection
Requires:       scl-utils
%if %without bootstrap
Requires:       %{scl}-javapackages-tools
BuildRequires:  %{scl}-javapackages-tools
%endif

%description runtime
Package shipping essential scripts to work with the %scl Software Collection.

%package build
Summary:        Package shipping basic build configuration
%{?scl:Requires: %scl_runtime = %{version}-%{release}}
Requires:       scl-utils-build

%description build
Package shipping essential configuration macros to build the %scl Software Collection.

%package scldevel
%{?scl:Requires: %scl_runtime}
Summary:        Package shipping development files for %scl

%description scldevel
Package shipping development files, especially useful for development of
packages depending on the %scl Software Collection.

%prep
%setup -q -c -T

%install
%{__rm} -rf %{buildroot}

%scl_install

%{__cat} >> %{buildroot}%{_scl_scripts}/enable << EOF
export PATH=%{_bindir}\${PATH:+:\${PATH}}
export LD_LIBRARY_PATH=%{_libdir}\${LD_LIBRARY_PATH:+:\${LD_LIBRARY_PATH}}
export MANPATH=%{_mandir}:\${MANPATH}
export PKG_CONFIG_PATH=%{_libdir}/pkgconfig\${PKG_CONFIG_PATH:+:\${PKG_CONFIG_PATH}}
EOF

%if %with modules
%{__mkdir_p} %{buildroot}%{_root_sysconfdir}/scl/modulefiles
%{_root_datadir}/Modules/bin/createmodule.sh %{buildroot}%{_scl_scripts}/enable > %{buildroot}%{_root_sysconfdir}/scl/modulefiles/%{scl}
%endif

%{__cat} >> %{buildroot}%{_root_sysconfdir}/rpm/macros.%{scl_name_base}-scldevel << EOF
%%scl_%{scl_name_base} %{scl}
%%scl_prefix_%{scl_name_base} %{scl_prefix}
EOF

%clean
%{__rm} -rf %{buildroot}

%files

%files runtime
%scl_files
# XXX: <https://bugzilla.redhat.com/show_bug.cgi?id=1616405>
%dir %{_root_sysconfdir}/scl
%if %with modules
%{_root_sysconfdir}/scl/modulefiles/%{scl}
%endif

%files build
%{_root_sysconfdir}/rpm/macros.%{scl}-config

%files scldevel
%{_root_sysconfdir}/rpm/macros.%{scl_name_base}-scldevel

%changelog
* Mon Jun 13 2022 Permaine Cheung <pcheung@redhat.com> - 1-8
- More scl fixes

* Mon Jun 13 2022 Permaine Cheung <pcheung@redhat.com> - 1-7
- Apply jpackage-utils-scl.patch

* Wed May 25 2022 Permaine Cheung <pcheung@redhat.com> - 1-6
- Rebuild

* Thu May 19 2022 Permaine Cheung <pcheung@redhat.com> - 1-5
- Rebuild

* Mon May 02 2022 Permaine Cheung <pcheung@redhat.com> - 1-4
- Non bootstrap build

* Fri Apr 22 2022 Permaine Cheung <pcheung@redhat.com> - 1-3
- Rebuild

* Fri Apr 22 2022 Permaine Cheung <pcheung@redhat.com> - 1-2
- EAP 8 build

* Tue Apr 05 2022 Permaine Cheung <pcheung@redhat.com> - 1-1
- EAP 8 build
